<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:label="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentNonfinancialLiabilities" xlink:label="ifrs-full_OtherNoncurrentNonfinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherComprehensiveIncome" xlink:label="ifrs-full_OtherComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:label="ifrs-full_CurrentTaxLiabilitiesCurrent" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayables" xlink:label="ifrs-full_TradeAndOtherCurrentPayables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost" xlink:label="ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:label="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyServiceChargeExpense" xlink:label="ifrs-full_PropertyServiceChargeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinanceCost" xlink:label="ifrs-full_OtherFinanceCost" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DilutedEarningsLossPerShare" xlink:label="ifrs-full_DilutedEarningsLossPerShare" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfTreasuryShares" xlink:label="ifrs-full_PurchaseOfTreasuryShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentProperty" xlink:label="ifrs-full_InvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaid" xlink:label="ifrs-full_DividendsPaid" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherPropertyPlantAndEquipment" xlink:label="ifrs-full_OtherPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_UndrawnBorrowingFacilities" xlink:label="ifrs-full_UndrawnBorrowingFacilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:label="ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherReserves" xlink:label="ifrs-full_OtherReserves" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:label="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentTaxExpenseIncome" xlink:label="ifrs-full_CurrentTaxExpenseIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherNoncurrentFinancialAssets" xlink:label="ifrs-full_OtherNoncurrentFinancialAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="ifrs-full_NoncontrollingInterests" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:label="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_InterestPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares" xlink:label="ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <loc xlink:type="locator" xlink:href="olavthonasa-2022-12-31.xsd#olavthonasa_NettoLeieinntekter" xlink:label="olavthonasa_NettoLeieinntekter" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" xlink:label="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinanceIncome" xlink:label="ifrs-full_OtherFinanceIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyServiceChargeIncome" xlink:label="ifrs-full_PropertyServiceChargeIncome" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_NoncurrentLeaseLiabilities" xlink:label="ifrs-full_NoncurrentLeaseLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" />
    <loc xlink:type="locator" xlink:href="olavthonasa-2022-12-31.xsd#olavthonasa_Forvaltningsresultat" xlink:label="olavthonasa_Forvaltningsresultat" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss" xlink:label="ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:label="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:label="ifrs-full_ProfitLossAttributableToNoncontrollingInterests" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:label="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:label="ifrs-full_ProfitLossAttributableToOwnersOfParent" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:label="ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_RentalIncomeFromInvestmentProperty" xlink:label="ifrs-full_RentalIncomeFromInvestmentProperty" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherCurrentFinancialLiabilities" xlink:label="ifrs-full_OtherCurrentFinancialLiabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdministrativeExpense" xlink:label="ifrs-full_AdministrativeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_TradeAndOtherCurrentReceivables" xlink:label="ifrs-full_TradeAndOtherCurrentReceivables" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:label="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DepreciationAndAmortisationExpense" xlink:label="ifrs-full_DepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:label="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherOperatingIncomeExpense" xlink:label="ifrs-full_OtherOperatingIncomeExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:label="ifrs-full_InvestmentAccountedForUsingEquityMethod" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_Liabilities" xlink:label="ifrs-full_Liabilities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForInterestExpense" xlink:label="ifrs-full_AdjustmentsForInterestExpense" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_OtherFinanceIncomeCost" xlink:label="ifrs-full_OtherFinanceIncomeCost" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:label="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" />
    <loc xlink:type="locator" xlink:href="http://xbrl.ifrs.org/taxonomy/2021-03-24/full_ifrs/full_ifrs-cor_2021-03-24.xsd#ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:label="ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RentalIncomeFromInvestmentProperty" xlink:to="label_olavthonasa_ifrs-fullRentalIncomeFromInvestmentProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PropertyServiceChargeIncome" xlink:to="label_olavthonasa_ifrs-fullPropertyServiceChargeIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PropertyServiceChargeExpense" xlink:to="label_olavthonasa_ifrs-fullPropertyServiceChargeExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="olavthonasa_NettoLeieinntekter" xlink:to="label_olavthonasa_olavthonasaNettoLeieinntekter_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherOperatingIncomeExpense" xlink:to="label_olavthonasa_ifrs-fullOtherOperatingIncomeExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OperatingExpense" xlink:to="label_olavthonasa_ifrs-fullOperatingExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdministrativeExpense" xlink:to="label_olavthonasa_ifrs-fullAdministrativeExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DepreciationAndAmortisationExpense" xlink:to="label_olavthonasa_ifrs-fullDepreciationAndAmortisationExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="olavthonasa_Forvaltningsresultat" xlink:to="label_olavthonasa_olavthonasaForvaltningsresultat_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:to="label_olavthonasa_ifrs-fullGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod" xlink:to="label_olavthonasa_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="label_olavthonasa_ifrs-fullProfitLossFromOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherFinanceIncome" xlink:to="label_olavthonasa_ifrs-fullOtherFinanceIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherFinanceCost" xlink:to="label_olavthonasa_ifrs-fullOtherFinanceCost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnChangeInFairValueOfDerivatives" xlink:to="label_olavthonasa_ifrs-fullGainsLossesOnChangeInFairValueOfDerivatives_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherFinanceIncomeCost" xlink:to="label_olavthonasa_ifrs-fullOtherFinanceIncomeCost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="label_olavthonasa_ifrs-fullProfitLossBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DeferredTaxExpenseIncomeRecognisedInProfitOrLoss" xlink:to="label_olavthonasa_ifrs-fullDeferredTaxExpenseIncomeRecognisedInProfitOrLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTaxExpenseIncome" xlink:to="label_olavthonasa_ifrs-fullCurrentTaxExpenseIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:to="label_olavthonasa_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLoss" xlink:to="label_olavthonasa_ifrs-fullProfitLoss_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_GainsLossesOnExchangeDifferencesOnTranslationBeforeTax" xlink:to="label_olavthonasa_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="label_olavthonasa_ifrs-fullComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossAttributableToOwnersOfParent" xlink:to="label_olavthonasa_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossAttributableToNoncontrollingInterests" xlink:to="label_olavthonasa_ifrs-fullProfitLossAttributableToNoncontrollingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncomeAttributableToOwnersOfParent" xlink:to="label_olavthonasa_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ComprehensiveIncomeAttributableToNoncontrollingInterests" xlink:to="label_olavthonasa_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DilutedEarningsLossPerShare" xlink:to="label_olavthonasa_ifrs-fullDilutedEarningsLossPerShare_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InvestmentProperty" xlink:to="label_olavthonasa_ifrs-fullInvestmentProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PropertyPlantAndEquipment" xlink:to="label_olavthonasa_ifrs-fullPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherPropertyPlantAndEquipment" xlink:to="label_olavthonasa_ifrs-fullOtherPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InvestmentAccountedForUsingEquityMethod" xlink:to="label_olavthonasa_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherNoncurrentFinancialAssets" xlink:to="label_olavthonasa_ifrs-fullOtherNoncurrentFinancialAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="label_olavthonasa_ifrs-fullNoncurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentReceivables" xlink:to="label_olavthonasa_ifrs-fullTradeAndOtherCurrentReceivables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_olavthonasa_ifrs-fullCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentAssets" xlink:to="label_olavthonasa_ifrs-fullCurrentAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Assets" xlink:to="label_olavthonasa_ifrs-fullAssets_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IssuedCapital" xlink:to="label_olavthonasa_ifrs-fullIssuedCapital_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_SharePremium" xlink:to="label_olavthonasa_ifrs-fullSharePremium_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherReserves" xlink:to="label_olavthonasa_ifrs-fullOtherReserves_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncontrollingInterests" xlink:to="label_olavthonasa_ifrs-fullNoncontrollingInterests_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_olavthonasa_ifrs-fullEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DeferredTaxLiabilities" xlink:to="label_olavthonasa_ifrs-fullDeferredTaxLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLeaseLiabilities" xlink:to="label_olavthonasa_ifrs-fullNoncurrentLeaseLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentFinancialLiabilitiesAtAmortisedCost" xlink:to="label_olavthonasa_ifrs-fullNoncurrentFinancialLiabilitiesAtAmortisedCost_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherNoncurrentNonfinancialLiabilities" xlink:to="label_olavthonasa_ifrs-fullOtherNoncurrentNonfinancialLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="label_olavthonasa_ifrs-fullNoncurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentTaxLiabilitiesCurrent" xlink:to="label_olavthonasa_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherCurrentFinancialLiabilities" xlink:to="label_olavthonasa_ifrs-fullOtherCurrentFinancialLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_TradeAndOtherCurrentPayables" xlink:to="label_olavthonasa_ifrs-fullTradeAndOtherCurrentPayables_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="label_olavthonasa_ifrs-fullCurrentLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Liabilities" xlink:to="label_olavthonasa_ifrs-fullLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="label_olavthonasa_ifrs-fullEquityAndLiabilities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="label_olavthonasa_ifrs-fullProfitLossBeforeTax_Total" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty" xlink:to="label_olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives" xlink:to="label_olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForInterestExpense" xlink:to="label_olavthonasa_ifrs-fullAdjustmentsForInterestExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_InterestPaidClassifiedAsOperatingActivities" xlink:to="label_olavthonasa_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncomeTaxesPaidClassifiedAsOperatingActivities" xlink:to="label_olavthonasa_ifrs-fullIncomeTaxesPaidClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod" xlink:to="label_olavthonasa_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AdjustmentsForDepreciationAndAmortisationExpense" xlink:to="label_olavthonasa_ifrs-fullAdjustmentsForDepreciationAndAmortisationExpense_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsOperatingActivities" xlink:to="label_olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="label_olavthonasa_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_olavthonasa_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:to="label_olavthonasa_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod" xlink:to="label_olavthonasa_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:to="label_olavthonasa_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherInflowsOutflowsOfCashClassifiedAsInvestingActivities" xlink:to="label_olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="label_olavthonasa_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromBorrowingsClassifiedAsFinancingActivities" xlink:to="label_olavthonasa_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_RepaymentsOfBorrowingsClassifiedAsFinancingActivities" xlink:to="label_olavthonasa_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:to="label_olavthonasa_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DividendsPaidClassifiedAsFinancingActivities" xlink:to="label_olavthonasa_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_ProceedsFromSaleOrIssueOfTreasuryShares" xlink:to="label_olavthonasa_ifrs-fullProceedsFromSaleOrIssueOfTreasuryShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="label_olavthonasa_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_EffectOfExchangeRateChangesOnCashAndCashEquivalents" xlink:to="label_olavthonasa_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalents" xlink:to="label_olavthonasa_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_CashAndCashEquivalents" xlink:to="label_olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_UndrawnBorrowingFacilities" xlink:to="label_olavthonasa_ifrs-fullUndrawnBorrowingFacilities_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_olavthonasa_ifrs-fullEquity_PeriodStart" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_OtherComprehensiveIncome" xlink:to="label_olavthonasa_ifrs-fullOtherComprehensiveIncome_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_DividendsPaid" xlink:to="label_olavthonasa_ifrs-fullDividendsPaid_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_IncreaseDecreaseThroughTransfersAndOtherChangesEquity" xlink:to="label_olavthonasa_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_olavthonasa_ifrs-fullEquity_PeriodEnd" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_PurchaseOfTreasuryShares" xlink:to="label_olavthonasa_ifrs-fullPurchaseOfTreasuryShares_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <label xlink:label="label_olavthonasa_ifrs-fullRentalIncomeFromInvestmentProperty_Standard" id="olavthonasa_ifrs-fullRentalIncomeFromInvestmentProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Leieinntekter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPropertyServiceChargeIncome_Standard" id="olavthonasa_ifrs-fullPropertyServiceChargeIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Eiendomsrelaterte inntekter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPropertyServiceChargeExpense_Standard" id="olavthonasa_ifrs-fullPropertyServiceChargeExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Eiendomsrelaterte kostnader</label>
    <label xlink:label="label_olavthonasa_olavthonasaNettoLeieinntekter_Standard" id="olavthonasa_olavthonasaNettoLeieinntekter_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto leieinntekter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherOperatingIncomeExpense_Standard" id="olavthonasa_ifrs-fullOtherOperatingIncomeExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andre driftsinntekter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOperatingExpense_Standard" id="olavthonasa_ifrs-fullOperatingExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andre driftskostnader</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdministrativeExpense_Standard" id="olavthonasa_ifrs-fullAdministrativeExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Administrasjonskostnader</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDepreciationAndAmortisationExpense_Standard" id="olavthonasa_ifrs-fullDepreciationAndAmortisationExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Ordinære avskrivninger og nedskrivninger</label>
    <label xlink:label="label_olavthonasa_olavthonasaForvaltningsresultat_Standard" id="olavthonasa_olavthonasaForvaltningsresultat_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Forvaltningsresultat</label>
    <label xlink:label="label_olavthonasa_ifrs-fullGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" id="olavthonasa_ifrs-fullGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Verdiendring investeringseiendommer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" id="olavthonasa_ifrs-fullShareOfProfitLossOfAssociatesAndJointVenturesAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andel resultat i felleskontrollerte og tilknyttede selskaper</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLossFromOperatingActivities_Standard" id="olavthonasa_ifrs-fullProfitLossFromOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Driftsresultat</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherFinanceIncome_Standard" id="olavthonasa_ifrs-fullOtherFinanceIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Finansinntekter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherFinanceCost_Standard" id="olavthonasa_ifrs-fullOtherFinanceCost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Finanskostnader</label>
    <label xlink:label="label_olavthonasa_ifrs-fullGainsLossesOnChangeInFairValueOfDerivatives_Standard" id="olavthonasa_ifrs-fullGainsLossesOnChangeInFairValueOfDerivatives_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Verdiendring finansielle instrumenter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherFinanceIncomeCost_Standard" id="olavthonasa_ifrs-fullOtherFinanceIncomeCost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto finansposter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLossBeforeTax_Standard" id="olavthonasa_ifrs-fullProfitLossBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Resultat før skattekostnad</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDeferredTaxExpenseIncomeRecognisedInProfitOrLoss_Standard" id="olavthonasa_ifrs-fullDeferredTaxExpenseIncomeRecognisedInProfitOrLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Endring utsatt skatt</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCurrentTaxExpenseIncome_Standard" id="olavthonasa_ifrs-fullCurrentTaxExpenseIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Betalbar skatt</label>
    <label xlink:label="label_olavthonasa_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" id="olavthonasa_ifrs-fullIncomeTaxExpenseContinuingOperations_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Skattekostnad</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLoss_Standard" id="olavthonasa_ifrs-fullProfitLoss_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Resultat</label>
    <label xlink:label="label_olavthonasa_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" id="olavthonasa_ifrs-fullGainsLossesOnExchangeDifferencesOnTranslationBeforeTax_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Valutadifferanser ved omregning til presentasjonsvaluta</label>
    <label xlink:label="label_olavthonasa_ifrs-fullComprehensiveIncome_Standard" id="olavthonasa_ifrs-fullComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Totalresultat</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" id="olavthonasa_ifrs-fullProfitLossAttributableToOwnersOfParent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Aksjonærer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLossAttributableToNoncontrollingInterests_Standard" id="olavthonasa_ifrs-fullProfitLossAttributableToNoncontrollingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Ikke-kontrollerende eierinteresser</label>
    <label xlink:label="label_olavthonasa_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" id="olavthonasa_ifrs-fullComprehensiveIncomeAttributableToOwnersOfParent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Aksjonærer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" id="olavthonasa_ifrs-fullComprehensiveIncomeAttributableToNoncontrollingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Ikke-kontrollerende eierinteresser</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDilutedEarningsLossPerShare_Total" id="olavthonasa_ifrs-fullDilutedEarningsLossPerShare_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="nb">Resultat per aksje - basis og utvannet (i hele kroner)</label>
    <label xlink:label="label_olavthonasa_ifrs-fullInvestmentProperty_Standard" id="olavthonasa_ifrs-fullInvestmentProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Investeringseiendommer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPropertyPlantAndEquipment_Standard" id="olavthonasa_ifrs-fullPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Eierbenyttede eiendommer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherPropertyPlantAndEquipment_Standard" id="olavthonasa_ifrs-fullOtherPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Varige driftsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" id="olavthonasa_ifrs-fullInvestmentAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andeler i felleskontrollerte og tilknyttede selskaper</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherNoncurrentFinancialAssets_Standard" id="olavthonasa_ifrs-fullOtherNoncurrentFinancialAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Finansielle anleggsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullNoncurrentAssets_Standard" id="olavthonasa_ifrs-fullNoncurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum anleggsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullTradeAndOtherCurrentReceivables_Standard" id="olavthonasa_ifrs-fullTradeAndOtherCurrentReceivables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Kundefordringer og andre fordringer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashAndCashEquivalents_Standard" id="olavthonasa_ifrs-fullCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Bankinnskudd og kontanter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCurrentAssets_Standard" id="olavthonasa_ifrs-fullCurrentAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum omløpsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAssets_Standard" id="olavthonasa_ifrs-fullAssets_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum eiendeler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullIssuedCapital_Standard" id="olavthonasa_ifrs-fullIssuedCapital_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Aksjekapital</label>
    <label xlink:label="label_olavthonasa_ifrs-fullSharePremium_Standard" id="olavthonasa_ifrs-fullSharePremium_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Overkurs</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherReserves_Standard" id="olavthonasa_ifrs-fullOtherReserves_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Annen egenkapital</label>
    <label xlink:label="label_olavthonasa_ifrs-fullNoncontrollingInterests_Standard" id="olavthonasa_ifrs-fullNoncontrollingInterests_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Ikke-kontrollerende eierinteressers andel av egenkapital</label>
    <label xlink:label="label_olavthonasa_ifrs-fullEquity_Standard" id="olavthonasa_ifrs-fullEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum egenkapital</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDeferredTaxLiabilities_Standard" id="olavthonasa_ifrs-fullDeferredTaxLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Utsatt skatt</label>
    <label xlink:label="label_olavthonasa_ifrs-fullNoncurrentLeaseLiabilities_Standard" id="olavthonasa_ifrs-fullNoncurrentLeaseLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Leieforpliktelse</label>
    <label xlink:label="label_olavthonasa_ifrs-fullNoncurrentFinancialLiabilitiesAtAmortisedCost_Standard" id="olavthonasa_ifrs-fullNoncurrentFinancialLiabilitiesAtAmortisedCost_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Langsiktig rentebærende gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherNoncurrentNonfinancialLiabilities_Standard" id="olavthonasa_ifrs-fullOtherNoncurrentNonfinancialLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Annen langsiktig gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullNoncurrentLiabilities_Standard" id="olavthonasa_ifrs-fullNoncurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum langsiktig gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" id="olavthonasa_ifrs-fullCurrentTaxLiabilitiesCurrent_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Betalbar skatt</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherCurrentFinancialLiabilities_Standard" id="olavthonasa_ifrs-fullOtherCurrentFinancialLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Kortsiktig rentebærende gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullTradeAndOtherCurrentPayables_Standard" id="olavthonasa_ifrs-fullTradeAndOtherCurrentPayables_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Leverandørgjeld og annen kortsiktig gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCurrentLiabilities_Standard" id="olavthonasa_ifrs-fullCurrentLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum kortsiktig gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullLiabilities_Standard" id="olavthonasa_ifrs-fullLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullEquityAndLiabilities_Standard" id="olavthonasa_ifrs-fullEquityAndLiabilities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Sum egenkapital og gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProfitLossBeforeTax_Total" id="olavthonasa_ifrs-fullProfitLossBeforeTax_Total" xlink:role="http://www.xbrl.org/2003/role/totalLabel" xlink:type="resource" xml:lang="nb">Resultat før skatt</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" id="olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnFairValueAdjustmentInvestmentProperty_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Verdiendring investeringseiendom</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_Standard" id="olavthonasa_ifrs-fullAdjustmentsForGainsLossesOnChangeInFairValueOfDerivatives_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Verdiendring finansielle instrumenter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdjustmentsForInterestExpense_Standard" id="olavthonasa_ifrs-fullAdjustmentsForInterestExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Kostnadsførte renter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" id="olavthonasa_ifrs-fullInterestPaidClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Betalte renter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullIncomeTaxesPaidClassifiedAsOperatingActivities_Standard" id="olavthonasa_ifrs-fullIncomeTaxesPaidClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Betalte skatter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" id="olavthonasa_ifrs-fullAdjustmentsForUndistributedProfitsOfInvestmentsAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andel resultat i felleskontrollerte og tilknyttede selskaper</label>
    <label xlink:label="label_olavthonasa_ifrs-fullAdjustmentsForDepreciationAndAmortisationExpense_Standard" id="olavthonasa_ifrs-fullAdjustmentsForDepreciationAndAmortisationExpense_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Ordinære avskrivninger/nedskrivninger</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_Standard" id="olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Endring i driftsrelaterte tidsavgrensningsposter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" id="olavthonasa_ifrs-fullCashFlowsFromUsedInOperatingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto kontantstrøm fra operasjonelle aktiviteter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" id="olavthonasa_ifrs-fullProceedsFromSalesOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Innbetalinger ved salg av investeringseiendom og varige driftsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" id="olavthonasa_ifrs-fullPurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Utbetalinger ved kjøp av investeringseiendom og varige driftsmidler</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" id="olavthonasa_ifrs-fullProceedsFromSalesOfInvestmentsOtherThanInvestmentsAccountedForUsingEquityMethod_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Salg av datterselskaper</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" id="olavthonasa_ifrs-fullCashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Kjøp av datterselskaper</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_Standard" id="olavthonasa_ifrs-fullOtherInflowsOutflowsOfCashClassifiedAsInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Innbetalinger ved andre investeringer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" id="olavthonasa_ifrs-fullCashFlowsFromUsedInInvestingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto kontantstrøm fra investeringsaktiviteter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" id="olavthonasa_ifrs-fullProceedsFromBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Innbetaling ved opptak av rentebærende gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" id="olavthonasa_ifrs-fullRepaymentsOfBorrowingsClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Utbetalinger ved nedbetaling av rentebærende gjeld</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" id="olavthonasa_ifrs-fullPaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Avdrag leieforpliktelser</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_Standard" id="olavthonasa_ifrs-fullDividendsPaidClassifiedAsFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Utbetaling av utbytte</label>
    <label xlink:label="label_olavthonasa_ifrs-fullProceedsFromSaleOrIssueOfTreasuryShares_Standard" id="olavthonasa_ifrs-fullProceedsFromSaleOrIssueOfTreasuryShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Utbetaling ved kjøp av egne aksjer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" id="olavthonasa_ifrs-fullCashFlowsFromUsedInFinancingActivities_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto kontantstrøm fra finansieringsaktiviteter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" id="olavthonasa_ifrs-fullEffectOfExchangeRateChangesOnCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Valutakurseffekter bankbeholdning</label>
    <label xlink:label="label_olavthonasa_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Standard" id="olavthonasa_ifrs-fullIncreaseDecreaseInCashAndCashEquivalents_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Netto endringer i kontanter og bankinnskudd</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodStart" id="olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="nb">Kontanter og bankinnskudd 1.1.</label>
    <label xlink:label="label_olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodEnd" id="olavthonasa_ifrs-fullCashAndCashEquivalents_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="nb">Kontanter og bankinnskudd 31.12.</label>
    <label xlink:label="label_olavthonasa_ifrs-fullUndrawnBorrowingFacilities_PeriodEnd" id="olavthonasa_ifrs-fullUndrawnBorrowingFacilities_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="nb">Utrukne kommitterte lånefasiliteter</label>
    <label xlink:label="label_olavthonasa_ifrs-fullEquity_PeriodStart" id="olavthonasa_ifrs-fullEquity_PeriodStart" xlink:role="http://www.xbrl.org/2003/role/periodStartLabel" xlink:type="resource" xml:lang="nb">Egenkapital 31.12.2020</label>
    <label xlink:label="label_olavthonasa_ifrs-fullOtherComprehensiveIncome_Standard" id="olavthonasa_ifrs-fullOtherComprehensiveIncome_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andre inntekter og kostnader</label>
    <label xlink:label="label_olavthonasa_ifrs-fullDividendsPaid_Standard" id="olavthonasa_ifrs-fullDividendsPaid_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Aksjeutbytte</label>
    <label xlink:label="label_olavthonasa_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" id="olavthonasa_ifrs-fullIncreaseDecreaseThroughTransfersAndOtherChangesEquity_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Andre endringer</label>
    <label xlink:label="label_olavthonasa_ifrs-fullEquity_PeriodEnd" id="olavthonasa_ifrs-fullEquity_PeriodEnd" xlink:role="http://www.xbrl.org/2003/role/periodEndLabel" xlink:type="resource" xml:lang="nb">Egenkapital 31.12.2021</label>
    <label xlink:label="label_olavthonasa_ifrs-fullPurchaseOfTreasuryShares_Standard" id="olavthonasa_ifrs-fullPurchaseOfTreasuryShares_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="nb">Kjøp egne aksjer</label>
  </labelLink>
</linkbase>